QRcodly
APIQr code

Update share link configuration

Updates the display options for a shared QR code.

PATCH
/api/v1/qr-code/{id}/share

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API key to access this API

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://qrcodly.theosirislabs.com/api/api/v1/api/v1/qr-code/string/share" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "qrCodeId": "8a619d64-dbe8-4c9d-9490-babe22a53a28",
  "shareToken": "4f8ceca8-194c-4771-b5c7-8d8d71c92316",
  "config": {
    "showName": true,
    "showDownloadButton": true
  },
  "isActive": true,
  "createdBy": "string"
}
{
  "message": "string",
  "code": 0,
  "fieldErrors": {
    "property1": null,
    "property2": null
  }
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}